<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_sensor_1_1_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Sensor.Sensor Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">__init__</a>(self, str name, np.ndarray position, np.ndarray orientation, str database, bool digital, int mode, outputs, bool active=True)</td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a>(self)</td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td><td class="entry"><a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
